Remittance & transfers
Send a transfer
POST
/transfersScope
transfers:writeAuth Bearer keyIdempotentHeaders
Idempotency-KeystringrequiredRetrying with the same key and payload replays the original response.
Request body
json
{
"source_currency": "NGN",
"amount": "250000.00",
"destination": {
"country": "GH",
"transfer_method": "mobile_money",
"name": "Ama Owusu",
"phone": "+233241234567"
}
}Responses
201Transfer
json
{
"id": "trf_9f2c41ab77e04d1e8b6a",
"object": "transfer",
"status": "processing",
"reference": "RM-9F2C41AB",
"beneficiary_id": "ben_31d0c8a5f4e2",
"source_currency": "NGN",
"destination_currency": "GHS",
"destination_country": "GH",
"amount": "250000.00",
"fee": "1250.00",
"rate": "0.0116",
"destination_amount": "2885.00",
"recipient_name": "Ama Owusu",
"account_number": "0241234567",
"bank_name": "MTN Mobile Money",
"narration": "October retainer",
"failure_reason": null,
"metadata": {
"invoice_id": "inv_2201"
},
"created_at": "2026-08-30T09:14:22.104Z",
"updated_at": "2026-08-30T09:14:25.882Z"
}Errors
Errors use RFC 9457 problem details. Branch on code, and log request_id.
400Bad request401Unauthenticated403Forbidden409Idempotency conflict422Validation error429Rate limitedcURL
curl -X POST "https://business.boundlesspay.com/api/public/v1/transfers" \
-H "Authorization: Bearer $BOUNDLESS_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{ "source_currency": "NGN", "amount": "250000.00", "destination": { "country": "GH", "transfer_method": "mobile_money", "name": "Ama Owusu", "phone": "+233241234567" } }'